Index: /trunk/src/Yworkdir/Y2sinobad.h
===================================================================
--- /trunk/src/Yworkdir/Y2sinobad.h	(revision 40)
+++ /trunk/src/Yworkdir/Y2sinobad.h	(revision 41)
@@ -3873,5 +3873,4 @@
 	 Yting[0]=YS1_tb( Yi, Yj, 0, YTemps-1);
 	 Ysbcgyre_qsr_qns(Yi, Yj)->forward( Yting[0] );
-	 Ydbg_nanf ("F: ", YNBI_sbcgyre_qsr_qns, "sbcgyre_qsr_qns");
 	 Ysbcgyre_emp1(Yi, Yj)->forward();
 	 if (1==0 || Yi-1<0)
@@ -3893,5 +3892,4 @@
 	 Yting[4]=YS1_sbcgyre_emp1( Yi, Yj, YTemps);
 	 Ysbcgyre_zsumemp_zsurf(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_sbcgyre_zsumemp_zsurf, "sbcgyre_zsumemp_zsurf");
 
 }
@@ -3903,8 +3901,6 @@
 	 Yting[2]=YS2_sbcgyre_zsumemp_zsurf( 31, 21, YTemps);
 	 Ysbcgyre_emp(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_sbcgyre_emp, "sbcgyre_emp");
 	 Yting[0]=YS1_sbcgyre_emp( Yi, Yj, YTemps);
 	 Ysbcgyre_emps(Yi, Yj)->forward( Yting[0] );
-	 Ydbg_nanf ("F: ", YNBI_sbcgyre_emps, "sbcgyre_emps");
 	 Ysbcgyre_utau_vtau(Yi, Yj)->forward();
 	 if (1==0 || Yi-1<0)
@@ -3919,5 +3915,4 @@
 	 Yting[3]=YS2_sbcgyre_utau_vtau( Yi, Yj, YTemps);
 	 Ysbcgyre_wndm(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_sbcgyre_wndm, "sbcgyre_wndm");
 
 }
@@ -3939,5 +3934,4 @@
 	 Yting[3]=YS1_sb( Yi, Yj, Yk-1, YTemps-1);
 	 Ybn2_rn2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_bn2_rn2, "bn2_rn2");
 
 }
@@ -4011,5 +4005,4 @@
 	 Yting[18]=YS1_va( Yi+1, Yj, 1, YTemps-1);
 	 Yzdf_avt_avmu_avmv(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5], Yting[6], Yting[7], Yting[8], Yting[9], Yting[10], Yting[11], Yting[12], Yting[13], Yting[14], Yting[15], Yting[16], Yting[17], Yting[18] );
-	 Ydbg_nanf ("F: ", YNBI_zdf_avt_avmu_avmv, "zdf_avt_avmu_avmv");
 
 }
@@ -4052,5 +4045,4 @@
 	 Yting[30]=YS1_zdf_avt_avmu_avmv( Yi, Yj, 30, YTemps);
 	 Yzdfmxl_hmld(Yi, Yj)->forward();
-	 Ydbg_nanf ("F: ", YNBI_zdfmxl_hmld, "zdfmxl_hmld");
 	 Yting[0]=YS1_rhop( Yi, Yj, 0, YTemps-1);
 	 Yting[1]=YS1_rhop( Yi, Yj, 1, YTemps-1);
@@ -4085,5 +4077,4 @@
 	 Yting[30]=YS1_rhop( Yi, Yj, 30, YTemps-1);
 	 Yzdfmxl_nmln_hmlp_hmlpt(Yi, Yj)->forward();
-	 Ydbg_nanf ("F: ", YNBI_zdfmxl_nmln_hmlp_hmlpt, "zdfmxl_nmln_hmlp_hmlpt");
 
 }
@@ -4098,5 +4089,4 @@
 	 Yting[2]=YS1_sa( Yi, Yj, 0, YTemps-1);
 	 Yta_sa_trasbc(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_ta_sa_trasbc, "ta_sa_trasbc");
 
 }
@@ -4111,5 +4101,4 @@
 	 Yting[1]=YS1_ta_sa_trasbc( Yi, Yj, YTemps);
 	 Yta_traqsr(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_ta_traqsr, "ta_traqsr");
 
 }
@@ -4134,5 +4123,4 @@
 	 Yting[4]=YS1_ta( Yi+1, Yj, Yk, YTemps-1);
 	 Yzcent_hor_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_zcent_hor_traadv_cen2, "zcent_hor_traadv_cen2");
 	 Yting[0]=YS1_ua( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_va( Yi, Yj, Yk, YTemps-1);
@@ -4147,5 +4135,4 @@
 	 Yting[4]=YS1_sa( Yi+1, Yj, Yk, YTemps-1);
 	 Yzcens_hor_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_zcens_hor_traadv_cen2, "zcens_hor_traadv_cen2");
 
 }
@@ -4165,5 +4152,4 @@
 	 Yting[4]=YS2_zcent_hor_traadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yta_hor_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_ta_hor_traadv_cen2, "ta_hor_traadv_cen2");
 	 Yting[0]=YS2_ta_sa_trasbc( Yi, Yj, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -4178,5 +4164,4 @@
 	 Yting[4]=YS2_zcens_hor_traadv_cen2( Yi, Yj, Yk, YTemps);
 	 Ysa_hor_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_sa_hor_traadv_cen2, "sa_hor_traadv_cen2");
 
 }
@@ -4197,5 +4182,4 @@
 	 Yting[2]=YS1_ta( Yi, Yj, Yk-1, YTemps-1);
 	 Yzcent_ver_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_zcent_ver_traadv_cen2, "zcent_ver_traadv_cen2");
 	 Yting[0]=YS1_wa( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_sa( Yi, Yj, Yk, YTemps-1);
@@ -4205,5 +4189,4 @@
 	 Yting[2]=YS1_sa( Yi, Yj, Yk-1, YTemps-1);
 	 Yzcens_ver_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_zcens_ver_traadv_cen2, "zcens_ver_traadv_cen2");
 
 }
@@ -4222,5 +4205,4 @@
 	 Yting[2]=YS1_zcent_ver_traadv_cen2( Yi, Yj, Yk+1, YTemps);
 	 Yta_ver_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_ta_ver_traadv_cen2, "ta_ver_traadv_cen2");
 	 Yting[0]=YS1_sa_hor_traadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_zcens_ver_traadv_cen2( Yi, Yj, Yk, YTemps);
@@ -4230,5 +4212,4 @@
 	 Yting[2]=YS1_zcens_ver_traadv_cen2( Yi, Yj, Yk+1, YTemps);
 	 Ysa_ver_traadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_sa_ver_traadv_cen2, "sa_ver_traadv_cen2");
 
 }
@@ -4250,5 +4231,4 @@
 	 Yting[2]=YS1_tb( Yi, Yj+1, Yk, YTemps-1);
 	 Yztuv_traldf_lap(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_ztuv_traldf_lap, "ztuv_traldf_lap");
 	 Yting[0]=YS1_sb( Yi, Yj, Yk, YTemps-1);
 	 if (1==0 || Yi+1>YA1_S3dt-1)
@@ -4261,5 +4241,4 @@
 	 Yting[2]=YS1_sb( Yi, Yj+1, Yk, YTemps-1);
 	 Yzsuv_traldf_lap(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_zsuv_traldf_lap, "zsuv_traldf_lap");
 	 Yting[0]=YS1_ta_ver_traadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_ztuv_traldf_lap( Yi, Yj, Yk, YTemps);
@@ -4274,5 +4253,4 @@
 	 Yting[4]=YS2_ztuv_traldf_lap( Yi, Yj-1, Yk, YTemps);
 	 Yta_traldf_lap(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_ta_traldf_lap, "ta_traldf_lap");
 	 Yting[0]=YS1_sa_ver_traadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_zsuv_traldf_lap( Yi, Yj, Yk, YTemps);
@@ -4287,5 +4265,4 @@
 	 Yting[4]=YS2_zsuv_traldf_lap( Yi, Yj-1, Yk, YTemps);
 	 Ysa_traldf_lap(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_sa_traldf_lap, "sa_traldf_lap");
 
 }
@@ -4303,13 +4280,10 @@
 	 Yting[1]=YS1_zdf_avt_avmu_avmv( Yi, Yj, Yk+1, YTemps);
 	 Yzwisd_trazdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_zwisd_trazdf_imp, "zwisd_trazdf_imp");
 	 Yting[0]=YS1_ta_traldf_lap( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_tb( Yi, Yj, Yk, YTemps-1);
 	 Yzrhs_trazdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_zrhs_trazdf_imp, "zrhs_trazdf_imp");
 	 Yting[0]=YS1_sa_traldf_lap( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_sb( Yi, Yj, Yk, YTemps-1);
 	 Yzrhs_sa_trazdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_zrhs_sa_trazdf_imp, "zrhs_sa_trazdf_imp");
 
 }
@@ -4330,5 +4304,4 @@
 	 Yting[3]=YS1_zwt_trazdf_imp( Yi, Yj, Yk-1, YTemps);
 	 Yzwt_trazdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_zwt_trazdf_imp, "zwt_trazdf_imp");
 	 Yting[0]=YS1_zwisd_trazdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -4342,5 +4315,4 @@
 	 Yting[3]=YS1_zwt_trazdf_imp( Yi, Yj, Yk-1, YTemps);
 	 Yta_de_trazdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_ta_de_trazdf_imp, "ta_de_trazdf_imp");
 	 Yting[0]=YS1_zwisd_trazdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -4354,5 +4326,4 @@
 	 Yting[3]=YS1_zwt_trazdf_imp( Yi, Yj, Yk-1, YTemps);
 	 Ysa_de_trazdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_sa_de_trazdf_imp, "sa_de_trazdf_imp");
 
 }
@@ -4370,5 +4341,4 @@
 	 Yting[4]=YS1_ta_c( Yi, Yj, Yk);
 	 Yta(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_ta, "ta");
 	 Yting[0]=YS2_zwisd_trazdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -4380,5 +4350,4 @@
 	 Yting[4]=YS1_sa_c( Yi, Yj, Yk);
 	 Ysa(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_sa, "sa");
 
 }
@@ -4394,5 +4363,4 @@
 	 Yting[3]=YS1_ta_c( Yi, Yj, Yk);
 	 Ytb(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_tb, "tb");
 	 Yting[0]=YS1_sb( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_sa( Yi, Yj, Yk, YTemps-1);
@@ -4400,5 +4368,4 @@
 	 Yting[3]=YS1_sa_c( Yi, Yj, Yk);
 	 Ysb(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_sb, "sb");
 
 }
@@ -4413,8 +4380,6 @@
 	 Yting[1]=YS1_sb( Yi, Yj, Yk, YTemps);
 	 Yrhd(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_rhd, "rhd");
 	 Yting[0]=YS1_rhd( Yi, Yj, Yk, YTemps);
 	 Yrhop(Yi, Yj, Yk)->forward( Yting[0] );
-	 Ydbg_nanf ("F: ", YNBI_rhop, "rhop");
 
 }
@@ -4446,5 +4411,4 @@
 	 Yting[5]=YS1_va( Yi, Yj+1, Yk, YTemps-1);
 	 Yhmf_TF_dynadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5] );
-	 Ydbg_nanf ("F: ", YNBI_hmf_TF_dynadv_cen2, "hmf_TF_dynadv_cen2");
 
 }
@@ -4463,5 +4427,4 @@
 	 Yting[3]=YS2_hmf_TF_dynadv_cen2( Yi, Yj-1, Yk, YTemps);
 	 Yzua_dhmf_dynadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_zua_dhmf_dynadv_cen2, "zua_dhmf_dynadv_cen2");
 	 Yting[0]=YS3_hmf_TF_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -4475,5 +4438,4 @@
 	 Yting[3]=YS4_hmf_TF_dynadv_cen2( Yi, Yj-1, Yk, YTemps);
 	 Yzva_dhmf_dynadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_zva_dhmf_dynadv_cen2, "zva_dhmf_dynadv_cen2");
 
 }
@@ -4507,5 +4469,4 @@
 	 Yting[6]=YS1_va( Yi, Yj, Yk-1, YTemps-1);
 	 Yzfuv_UW_dynadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5], Yting[6] );
-	 Ydbg_nanf ("F: ", YNBI_zfuv_UW_dynadv_cen2, "zfuv_UW_dynadv_cen2");
 
 }
@@ -4524,5 +4485,4 @@
 	 Yting[2]=YS1_zua_dhmf_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yua_dynadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_ua_dynadv_cen2, "ua_dynadv_cen2");
 	 Yting[0]=YS2_zfuv_UW_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -4532,5 +4492,4 @@
 	 Yting[2]=YS1_zva_dhmf_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yva_dynadv_cen2(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_va_dynadv_cen2, "va_dynadv_cen2");
 
 }
@@ -4554,5 +4513,4 @@
 	 Yting[3]=YS1_va( Yi+1, Yj, Yk, YTemps-1);
 	 Yzwxyz_vor_ene(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_zwxyz_vor_ene, "zwxyz_vor_ene");
 
 }
@@ -4580,5 +4538,4 @@
 	 Yting[6]=YS2_zwxyz_vor_ene( Yi+1, Yj, Yk, YTemps);
 	 Yua_vor_ene(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5], Yting[6] );
-	 Ydbg_nanf ("F: ", YNBI_ua_vor_ene, "ua_vor_ene");
 	 Yting[0]=YS1_va_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -4601,5 +4558,4 @@
 	 Yting[6]=YS1_zwxyz_vor_ene( Yi, Yj+1, Yk, YTemps);
 	 Yva_vor_ene(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5], Yting[6] );
-	 Ydbg_nanf ("F: ", YNBI_va_vor_ene, "va_vor_ene");
 	 Yting[0]=YS1_ua_vor_ene( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yj-1<0)
@@ -4614,5 +4570,4 @@
 	 Yting[4]=YS1_hdivn( Yi+1, Yj, Yk, YTemps-2);
 	 Yua_dyn_ldf_lap(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_ua_dyn_ldf_lap, "ua_dyn_ldf_lap");
 	 Yting[0]=YS1_va_vor_ene( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -4627,5 +4582,4 @@
 	 Yting[4]=YS1_hdivn( Yi, Yj+1, Yk, YTemps-2);
 	 Yva_dyn_ldf_lap(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
-	 Ydbg_nanf ("F: ", YNBI_va_dyn_ldf_lap, "va_dyn_ldf_lap");
 
 }
@@ -4667,13 +4621,10 @@
 	 Yting[7]=YS2_zhpij_dyn_hpg_zco( Yi, Yj, Yk-1, YTemps);
 	 Yzhpij_dyn_hpg_zco(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5], Yting[6], Yting[7] );
-	 Ydbg_nanf ("F: ", YNBI_zhpij_dyn_hpg_zco, "zhpij_dyn_hpg_zco");
 	 Yting[0]=YS1_ua_dyn_ldf_lap( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_zhpij_dyn_hpg_zco( Yi, Yj, Yk, YTemps);
 	 Yua_dyn_hpg_zco(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_ua_dyn_hpg_zco, "ua_dyn_hpg_zco");
 	 Yting[0]=YS1_va_dyn_ldf_lap( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS2_zhpij_dyn_hpg_zco( Yi, Yj, Yk, YTemps);
 	 Yva_dyn_hpg_zco(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_va_dyn_hpg_zco, "va_dyn_hpg_zco");
 
 }
@@ -4690,5 +4641,4 @@
 	 Yting[1]=YS2_zdf_avt_avmu_avmv( Yi, Yj, Yk+1, YTemps);
 	 Yzwisd_ua_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_zwisd_ua_dynzdf_imp, "zwisd_ua_dynzdf_imp");
 	 Yting[0]=YS3_zdf_avt_avmu_avmv( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -4697,15 +4647,12 @@
 	 Yting[1]=YS3_zdf_avt_avmu_avmv( Yi, Yj, Yk+1, YTemps);
 	 Yzwisd_va_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_zwisd_va_dynzdf_imp, "zwisd_va_dynzdf_imp");
 	 Yting[0]=YS1_ua_dyn_hpg_zco( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_ub( Yi, Yj, Yk, YTemps-1);
 	 Yting[2]=YS1_sbcgyre_utau_vtau( Yi, Yj, YTemps);
 	 Yzrhs_ua_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_zrhs_ua_dynzdf_imp, "zrhs_ua_dynzdf_imp");
 	 Yting[0]=YS1_va_dyn_hpg_zco( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_vb( Yi, Yj, Yk, YTemps-1);
 	 Yting[2]=YS2_sbcgyre_utau_vtau( Yi, Yj, YTemps);
 	 Yzrhs_va_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_zrhs_va_dynzdf_imp, "zrhs_va_dynzdf_imp");
 
 }
@@ -4726,5 +4673,4 @@
 	 Yting[3]=YS1_zwt_ua_dynzdf_imp( Yi, Yj, Yk-1, YTemps);
 	 Yzwt_ua_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_zwt_ua_dynzdf_imp, "zwt_ua_dynzdf_imp");
 	 Yting[0]=YS1_zwisd_ua_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -4738,5 +4684,4 @@
 	 Yting[3]=YS1_zwt_ua_dynzdf_imp( Yi, Yj, Yk-1, YTemps);
 	 Yua_de_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_ua_de_dynzdf_imp, "ua_de_dynzdf_imp");
 	 Yting[0]=YS1_zwisd_va_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -4750,5 +4695,4 @@
 	 Yting[3]=YS1_zwt_va_dynzdf_imp( Yi, Yj, Yk-1, YTemps);
 	 Yzwt_va_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_zwt_va_dynzdf_imp, "zwt_va_dynzdf_imp");
 	 Yting[0]=YS1_zwisd_va_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -4762,5 +4706,4 @@
 	 Yting[3]=YS1_zwt_va_dynzdf_imp( Yi, Yj, Yk-1, YTemps);
 	 Yva_de_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_va_de_dynzdf_imp, "va_de_dynzdf_imp");
 
 }
@@ -4777,5 +4720,4 @@
 	 Yting[3]=YS1_zwt_ua_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 Yua_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_ua_dynzdf_imp, "ua_dynzdf_imp");
 	 Yting[0]=YS2_zwisd_va_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -4786,5 +4728,4 @@
 	 Yting[3]=YS1_zwt_va_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 Yva_dynzdf_imp(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_va_dynzdf_imp, "va_dynzdf_imp");
 
 }
@@ -4798,9 +4739,7 @@
 	 Yting[1]=YS1_ub( Yi, Yj, Yk, YTemps-1);
 	 Yua_norm_dynzdf(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_ua_norm_dynzdf, "ua_norm_dynzdf");
 	 Yting[0]=YS1_va_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_vb( Yi, Yj, Yk, YTemps-1);
 	 Yva_norm_dynzdf(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_va_norm_dynzdf, "va_norm_dynzdf");
 
 }
@@ -4821,5 +4760,4 @@
 	 Yting[2]=YS1_sshn( Yi+1, Yj, YTemps-1);
 	 Yspguv_now_dynspg(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_spguv_now_dynspg, "spguv_now_dynspg");
 
 }
@@ -4835,10 +4773,8 @@
 	 Yting[2]=YS1_spguv_now_dynspg( Yi, Yj, YTemps);
 	 Yua_1_dynspg_flt(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_ua_1_dynspg_flt, "ua_1_dynspg_flt");
 	 Yting[0]=YS1_va_norm_dynzdf( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_vb( Yi, Yj, Yk, YTemps-1);
 	 Yting[2]=YS2_spguv_now_dynspg( Yi, Yj, YTemps);
 	 Yva_1_dynspg_flt(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_va_1_dynspg_flt, "va_1_dynspg_flt");
 
 }
@@ -4881,5 +4817,4 @@
 	 Yting[30]=YS1_ua_1_dynspg_flt( Yi, Yj, 30, YTemps);
 	 Ysum_spgu_dynspg_flt(Yi, Yj)->forward();
-	 Ydbg_nanf ("F: ", YNBI_sum_spgu_dynspg_flt, "sum_spgu_dynspg_flt");
 	 Yting[0]=YS1_va_1_dynspg_flt( Yi, Yj, 0, YTemps);
 	 Yting[1]=YS1_va_1_dynspg_flt( Yi, Yj, 1, YTemps);
@@ -4914,5 +4849,4 @@
 	 Yting[30]=YS1_va_1_dynspg_flt( Yi, Yj, 30, YTemps);
 	 Ysum_spgv_dynspg_flt(Yi, Yj)->forward();
-	 Ydbg_nanf ("F: ", YNBI_sum_spgv_dynspg_flt, "sum_spgv_dynspg_flt");
 
 }
@@ -4934,9 +4868,7 @@
 	 Yting[3]=YS1_sum_spgv_dynspg_flt( Yi, Yj-1, YTemps);
 	 Ygcb_dynspg_flt(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_gcb_dynspg_flt, "gcb_dynspg_flt");
 	 Yting[0]=YS1_gcx2( Yi, Yj, YTemps-1);
 	 Yting[1]=YS1_gcx2( Yi, Yj, YTemps-2);
 	 Ygcx_dynspg_flt(Yi, Yj)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_gcx_dynspg_flt, "gcx_dynspg_flt");
 
 }
@@ -5016,5 +4948,4 @@
 	 Yting[18]=YS1_solsor_dynspg_flt( Yi-1, Yj-1, YTemps);
 	 Ysolsor_dynspg_flt(Yi, Yj)->forward();
-	 Ydbg_nanf ("F: ", YNBI_solsor_dynspg_flt, "solsor_dynspg_flt");
 
 }
@@ -5026,5 +4957,4 @@
 	 Yting[0]=YS1_solsor_dynspg_flt( Yi, Yj, YTemps);
 	 Ygcx2(Yi, Yj)->forward();
-	 Ydbg_nanf ("F: ", YNBI_gcx2, "gcx2");
 
 }
@@ -5045,5 +4975,4 @@
 	 Yting[2]=YS1_gcx2( Yi, Yj+1, YTemps);
 	 Yspguv_dynspg_flt(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_spguv_dynspg_flt, "spguv_dynspg_flt");
 
 }
@@ -5059,10 +4988,8 @@
 	 Yting[2]=YS1_ua_c( Yi, Yj, Yk);
 	 Yua(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_ua, "ua");
 	 Yting[0]=YS1_va_1_dynspg_flt( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS2_spguv_dynspg_flt( Yi, Yj, YTemps);
 	 Yting[2]=YS1_va_c( Yi, Yj, Yk);
 	 Yva(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2] );
-	 Ydbg_nanf ("F: ", YNBI_va, "va");
 
 }
@@ -5078,5 +5005,4 @@
 	 Yting[3]=YS1_sshn_c( Yi, Yj);
 	 Ysshn(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_sshn, "sshn");
 	 Yting[0]=YS1_sshb( Yi, Yj, YTemps-1);
 	 Yting[1]=YS1_sshn( Yi, Yj, YTemps-1);
@@ -5084,5 +5010,4 @@
 	 Yting[3]=YS1_sshn_c( Yi, Yj);
 	 Ysshb(Yi, Yj)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_sshb, "sshb");
 
 }
@@ -5099,5 +5024,4 @@
 	 Yting[3]=YS1_ua_c( Yi, Yj, Yk);
 	 Yub(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_ub, "ub");
 	 Yting[0]=YS1_vb( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_va( Yi, Yj, Yk, YTemps-1);
@@ -5105,5 +5029,4 @@
 	 Yting[3]=YS1_va_c( Yi, Yj, Yk);
 	 Yvb(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_vb, "vb");
 
 }
@@ -5126,5 +5049,4 @@
 	 Yting[3]=YS1_va( Yi, Yj-1, Yk, YTemps);
 	 Yhdivn(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_hdivn, "hdivn");
 	 if (1==0 || Yi+1>YA1_S3dt-1)
 	 Yting[0]=0; 
@@ -5138,5 +5060,4 @@
 	 Yting[3]=YS1_ua( Yi, Yj, Yk, YTemps);
 	 Yrotn(Yi, Yj, Yk)->forward( Yting[0], Yting[1], Yting[2], Yting[3] );
-	 Ydbg_nanf ("F: ", YNBI_rotn, "rotn");
 
 }
@@ -5152,5 +5073,4 @@
 	 Yting[1]=YS1_hdivn( Yi, Yj, Yk, YTemps);
 	 Ywa(Yi, Yj, Yk)->forward( Yting[0], Yting[1] );
-	 Ydbg_nanf ("F: ", YNBI_wa, "wa");
 
 }
@@ -5179,5 +5099,4 @@
 	 YG1_wa( Yi, Yj, Yk+1, YTemps) += Ytbeta[0];
 	 YG1_hdivn( Yi, Yj, Yk, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_wa, "wa");
 
 }
@@ -5209,5 +5128,4 @@
 	 YG1_ua( Yi, Yj+1, Yk, YTemps) += Ytbeta[2];
 	 YG1_ua( Yi, Yj, Yk, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_rotn, "rotn");
 	 Yting[0]=YS1_ua( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -5231,5 +5149,4 @@
 	 else 
 	 YG1_va( Yi, Yj-1, Yk, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_hdivn, "hdivn");
 
 }
@@ -5253,5 +5170,4 @@
 	 YG1_va( Yi, Yj, Yk, YTemps) += Ytbeta[2];
 	 YG1_va_c( Yi, Yj, Yk) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_vb, "vb");
 	 Yting[0]=YS1_ub( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_ua( Yi, Yj, Yk, YTemps-1);
@@ -5266,5 +5182,4 @@
 	 YG1_ua( Yi, Yj, Yk, YTemps) += Ytbeta[2];
 	 YG1_ua_c( Yi, Yj, Yk) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_ub, "ub");
 
 }
@@ -5287,5 +5202,4 @@
 	 YG1_sshn( Yi, Yj, YTemps) += Ytbeta[2];
 	 YG1_sshn_c( Yi, Yj) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_sshb, "sshb");
 	 Yting[0]=YS1_sshb( Yi, Yj, YTemps-1);
 	 Yting[1]=YS1_wa( Yi, Yj, 0, YTemps-1);
@@ -5300,5 +5214,4 @@
 	 YG1_sbcgyre_emp( Yi, Yj, YTemps) += Ytbeta[2];
 	 YG1_sshn_c( Yi, Yj) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_sshn, "sshn");
 
 }
@@ -5320,5 +5233,4 @@
 	 YG2_spguv_dynspg_flt( Yi, Yj, YTemps) += Ytbeta[1];
 	 YG1_va_c( Yi, Yj, Yk) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_va, "va");
 	 Yting[0]=YS1_ua_1_dynspg_flt( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_spguv_dynspg_flt( Yi, Yj, YTemps);
@@ -5331,5 +5243,4 @@
 	 YG1_spguv_dynspg_flt( Yi, Yj, YTemps) += Ytbeta[1];
 	 YG1_ua_c( Yi, Yj, Yk) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_ua, "ua");
 
 }
@@ -5362,5 +5273,4 @@
 	 #pragma omp atomic
 	 YG1_gcx2( Yi, Yj+1, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_spguv_dynspg_flt, "spguv_dynspg_flt");
 
 }
@@ -5377,5 +5287,4 @@
 	 #pragma omp atomic
 	 YG1_solsor_dynspg_flt( Yi, Yj, YTemps) += Ytbeta[0];
-	 Ydbg_nanf ("B: ", YNBI_gcx2, "gcx2");
 
 }
@@ -5510,5 +5419,4 @@
 	 else 
 	 YG1_solsor_dynspg_flt( Yi-1, Yj-1, YTemps) += Ytbeta[18];
-	 Ydbg_nanf ("B: ", YNBI_solsor_dynspg_flt, "solsor_dynspg_flt");
 
 }
@@ -5525,5 +5433,4 @@
 	 YG1_gcx2( Yi, Yj, YTemps-1) += Ytbeta[0];
 	 YG1_gcx2( Yi, Yj, YTemps-2) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_gcx_dynspg_flt, "gcx_dynspg_flt");
 	 Yting[0]=YS1_sum_spgu_dynspg_flt( Yi, Yj, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -5549,5 +5456,4 @@
 	 #pragma omp atomic
 	 YG1_sum_spgv_dynspg_flt( Yi, Yj-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_gcb_dynspg_flt, "gcb_dynspg_flt");
 
 }
@@ -5623,5 +5529,4 @@
 	 YG1_va_1_dynspg_flt( Yi, Yj, 29, YTemps) += Ytbeta[29];
 	 YG1_va_1_dynspg_flt( Yi, Yj, 30, YTemps) += Ytbeta[30];
-	 Ydbg_nanf ("B: ", YNBI_sum_spgv_dynspg_flt, "sum_spgv_dynspg_flt");
 	 Yting[0]=YS1_ua_1_dynspg_flt( Yi, Yj, 0, YTemps);
 	 Yting[1]=YS1_ua_1_dynspg_flt( Yi, Yj, 1, YTemps);
@@ -5689,9 +5594,8 @@
 	 YG1_ua_1_dynspg_flt( Yi, Yj, 29, YTemps) += Ytbeta[29];
 	 YG1_ua_1_dynspg_flt( Yi, Yj, 30, YTemps) += Ytbeta[30];
-	 Ydbg_nanf ("B: ", YNBI_sum_spgu_dynspg_flt, "sum_spgu_dynspg_flt");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -5708,5 +5612,4 @@
 	 YG1_vb( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 YG2_spguv_now_dynspg( Yi, Yj, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_va_1_dynspg_flt, "va_1_dynspg_flt");
 	 Yting[0]=YS1_ua_norm_dynzdf( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_ub( Yi, Yj, Yk, YTemps-1);
@@ -5718,9 +5621,8 @@
 	 YG1_ub( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 YG1_spguv_now_dynspg( Yi, Yj, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_ua_1_dynspg_flt, "ua_1_dynspg_flt");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA2_S3dt-1; YY>=0; --YY){
   Yj=YY;
@@ -5739,19 +5641,18 @@
 	 Yspguv_now_dynspg(Yi, Yj)->backward( Yting[0], Yting[1], Yting[2] );
 	 Yvsmatt (YNBS_spguv_now_dynspg, YNBI_spguv_now_dynspg, YMAX_JAC_NBI, &YG1Y_spguv_now_dynspg, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sshn( Yi, Yj, YTemps-1) += Ytbeta[0];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sshn( Yi, Yj+1, YTemps-1) += Ytbeta[1];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sshn( Yi+1, Yj, YTemps-1) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_spguv_now_dynspg, "spguv_now_dynspg");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -5764,8 +5665,7 @@
 	 Yva_norm_dynzdf(Yi, Yj, Yk)->backward( Yting[0], Yting[1] );
 	 Yvsmatt (YNBS_va_norm_dynzdf, YNBI_va_norm_dynzdf, YMAX_JAC_NBI, &YG1Y_va_norm_dynzdf, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va_dynzdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 YG1_vb( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_va_norm_dynzdf, "va_norm_dynzdf");
 	 Yting[0]=YS1_ua_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_ub( Yi, Yj, Yk, YTemps-1);
@@ -5773,8 +5673,7 @@
 	 Yua_norm_dynzdf(Yi, Yj, Yk)->backward( Yting[0], Yting[1] );
 	 Yvsmatt (YNBS_ua_norm_dynzdf, YNBI_ua_norm_dynzdf, YMAX_JAC_NBI, &YG1Y_ua_norm_dynzdf, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua_dynzdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 YG1_ub( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_ua_norm_dynzdf, "ua_norm_dynzdf");
 
 }
@@ -5800,5 +5699,4 @@
 	 YG1_va_de_dynzdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[2];
 	 YG1_zwt_va_dynzdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_va_dynzdf_imp, "va_dynzdf_imp");
 	 Yting[0]=YS2_zwisd_ua_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -5817,5 +5715,4 @@
 	 YG1_ua_de_dynzdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[2];
 	 YG1_zwt_ua_dynzdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_ua_dynzdf_imp, "ua_dynzdf_imp");
 
 }
@@ -5845,5 +5742,4 @@
 	 else 
 	 YG1_zwt_va_dynzdf_imp( Yi, Yj, Yk-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_va_de_dynzdf_imp, "va_de_dynzdf_imp");
 	 Yting[0]=YS1_zwisd_va_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -5867,5 +5763,4 @@
 	 else 
 	 YG1_zwt_va_dynzdf_imp( Yi, Yj, Yk-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_zwt_va_dynzdf_imp, "zwt_va_dynzdf_imp");
 	 Yting[0]=YS1_zwisd_ua_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -5889,5 +5784,4 @@
 	 else 
 	 YG1_zwt_ua_dynzdf_imp( Yi, Yj, Yk-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_ua_de_dynzdf_imp, "ua_de_dynzdf_imp");
 	 Yting[0]=YS1_zwisd_ua_dynzdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -5911,8 +5805,7 @@
 	 else 
 	 YG1_zwt_ua_dynzdf_imp( Yi, Yj, Yk-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_zwt_ua_dynzdf_imp, "zwt_ua_dynzdf_imp");
-
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -5929,5 +5822,4 @@
 	 YG1_vb( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 YG2_sbcgyre_utau_vtau( Yi, Yj, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_zrhs_va_dynzdf_imp, "zrhs_va_dynzdf_imp");
 	 Yting[0]=YS1_ua_dyn_hpg_zco( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_ub( Yi, Yj, Yk, YTemps-1);
@@ -5939,5 +5831,4 @@
 	 YG1_ub( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 YG1_sbcgyre_utau_vtau( Yi, Yj, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_zrhs_ua_dynzdf_imp, "zrhs_ua_dynzdf_imp");
 	 Yting[0]=YS3_zdf_avt_avmu_avmv( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -5948,11 +5839,10 @@
 	 Yzwisd_va_dynzdf_imp(Yi, Yj, Yk)->backward( Yting[0], Yting[1] );
 	 Yvsmatt (YNBS_zwisd_va_dynzdf_imp, YNBI_zwisd_va_dynzdf_imp, YMAX_JAC_NBI, &YG1Y_zwisd_va_dynzdf_imp, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG3_zdf_avt_avmu_avmv( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 if (1==0 || Yk+1>YA3_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG3_zdf_avt_avmu_avmv( Yi, Yj, Yk+1, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_zwisd_va_dynzdf_imp, "zwisd_va_dynzdf_imp");
 	 Yting[0]=YS2_zdf_avt_avmu_avmv( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -5963,11 +5853,10 @@
 	 Yzwisd_ua_dynzdf_imp(Yi, Yj, Yk)->backward( Yting[0], Yting[1] );
 	 Yvsmatt (YNBS_zwisd_ua_dynzdf_imp, YNBI_zwisd_ua_dynzdf_imp, YMAX_JAC_NBI, &YG1Y_zwisd_ua_dynzdf_imp, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG2_zdf_avt_avmu_avmv( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 if (1==0 || Yk+1>YA3_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG2_zdf_avt_avmu_avmv( Yi, Yj, Yk+1, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_zwisd_ua_dynzdf_imp, "zwisd_ua_dynzdf_imp");
 
 }
@@ -5984,5 +5873,4 @@
 	 YG1_va_dyn_ldf_lap( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 YG2_zhpij_dyn_hpg_zco( Yi, Yj, Yk, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_va_dyn_hpg_zco, "va_dyn_hpg_zco");
 	 Yting[0]=YS1_ua_dyn_ldf_lap( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_zhpij_dyn_hpg_zco( Yi, Yj, Yk, YTemps);
@@ -5992,5 +5880,4 @@
 	 YG1_ua_dyn_ldf_lap( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 YG1_zhpij_dyn_hpg_zco( Yi, Yj, Yk, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_ua_dyn_hpg_zco, "ua_dyn_hpg_zco");
 	 if (1==0 || Yi+1>YA1_S3dt-1)
 	 Yting[0]=0; 
@@ -6047,8 +5934,7 @@
 	 else 
 	 YG2_zhpij_dyn_hpg_zco( Yi, Yj, Yk-1, YTemps) += Ytbeta[7];
-	 Ydbg_nanf ("B: ", YNBI_zhpij_dyn_hpg_zco, "zhpij_dyn_hpg_zco");
-
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6080,5 +5966,4 @@
 	 else 
 	 YG1_hdivn( Yi, Yj+1, Yk, YTemps-2) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_va_dyn_ldf_lap, "va_dyn_ldf_lap");
 	 Yting[0]=YS1_ua_vor_ene( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yj-1<0)
@@ -6104,5 +5989,4 @@
 	 else 
 	 YG1_hdivn( Yi+1, Yj, Yk, YTemps-2) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_ua_dyn_ldf_lap, "ua_dyn_ldf_lap");
 	 Yting[0]=YS1_va_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -6142,5 +6026,4 @@
 	 else 
 	 YG1_zwxyz_vor_ene( Yi, Yj+1, Yk, YTemps) += Ytbeta[6];
-	 Ydbg_nanf ("B: ", YNBI_va_vor_ene, "va_vor_ene");
 	 Yting[0]=YS1_ua_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yj-1<0)
@@ -6180,5 +6063,4 @@
 	 else 
 	 YG2_zwxyz_vor_ene( Yi+1, Yj, Yk, YTemps) += Ytbeta[6];
-	 Ydbg_nanf ("B: ", YNBI_ua_vor_ene, "ua_vor_ene");
 
 }
@@ -6199,23 +6081,22 @@
 	 Yzwxyz_vor_ene(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3] );
 	 Yvsmatt (YNBS_zwxyz_vor_ene, YNBI_zwxyz_vor_ene, YMAX_JAC_NBI, &YG1Y_zwxyz_vor_ene, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[1];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, Yk, YTemps-1) += Ytbeta[2];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_zwxyz_vor_ene, "zwxyz_vor_ene");
-
-}
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6232,12 +6113,11 @@
 	 Yva_dynadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2] );
 	 Yvsmatt (YNBS_va_dynadv_cen2, YNBI_va_dynadv_cen2, YMAX_JAC_NBI, &YG1Y_va_dynadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG2_zfuv_UW_dynadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 if (1==0 || Yk+1>YA3_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG2_zfuv_UW_dynadv_cen2( Yi, Yj, Yk+1, YTemps) += Ytbeta[1];
 	 YG1_zva_dhmf_dynadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_va_dynadv_cen2, "va_dynadv_cen2");
 	 Yting[0]=YS1_zfuv_UW_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
